// Capteurs de suivi de ligne

const int baseSpeed = 110;
const int turnSpeed  = 100;
const int capteurGauche = A4;
const int capteurDroit  = A5;

// Seuil de détection noir/blanc
const int seuil = 500;  // Ajustez si nécessaire

void setup() {
  setup_motors();
  pinMode(capteurGauche, INPUT);
  pinMode(capteurDroit, INPUT);
  Serial.begin(9600);
}

void loop() {
  int valeurGauche = analogRead(capteurGauche);
  int valeurDroit  = analogRead(capteurDroit);

  Serial.print("Gauche: ");
  Serial.print(valeurGauche);
  Serial.print(" | Droit: ");
  Serial.println(valeurDroit);

  //motorLeftForward(baseSpeed);
  //motorRightForward(baseSpeed);

   if (valeurGauche < seuil && valeurDroit < seuil) {
    // Les deux capteurs voient du blanc -> Avancer
      motorLeftForward(baseSpeed);
      motorRightForward(baseSpeed);
  } else if (valeurGauche < seuil && valeurDroit > seuil) {
    // Capteur gauche voit du blanc -> Tourner à gauche
      motorLeftForward(baseSpeed);
      motorRightForward(turnSpeed);

  } else if (valeurGauche > seuil && valeurDroit < seuil) {
    // Capteur droit voit du blanc -> Tourner à droite
      motorLeftForward(turnSpeed);
      motorRightForward(baseSpeed);
  } else {
    // Les deux voient du noir -> Stop ou faire demi-tour
    motorLeftForward(0);
    motorRightForward(0);
  }

  delay(20);

}
