// --- Fonctions de contrôle des moteurs ---
#define DIR_A 12  // Direction pin for Channel A
#define PWM_A 3   // PWM pin for Channel A
#define BRAKE_A 9 // Brake pin for Channel A

#define DIR_B 13  // Direction pin for Channel B
#define PWM_B 11  // PWM pin for Channel B
#define BRAKE_B 8 // Brake pin for Channel B

void setup_motors() {
  // Configuration des broches du canal A (moteur gauche)
  pinMode(DIR_A, OUTPUT);
  pinMode(PWM_A, OUTPUT);
  pinMode(BRAKE_A, OUTPUT);
  
  // Configuration des broches du canal B (moteur droit)
  pinMode(DIR_B, OUTPUT);
  pinMode(PWM_B, OUTPUT);
  pinMode(BRAKE_B, OUTPUT);
  
  // On s'assure que les moteurs sont arrêtés au démarrage
  stopMotors();
}


// Fait avancer le moteur gauche vers l'avant à une vitesse donnée
void motorRightForward(int speed) {
  digitalWrite(DIR_A, LOW);   // Choix du sens (avant)
  digitalWrite(BRAKE_A, LOW);    // Désactivation du frein
  analogWrite(PWM_A, speed+5);     // Réglage de la vitesse
}

// Fait avancer le moteur droit vers l'avant à une vitesse donnée
void motorLeftForward(int speed) {
  digitalWrite(DIR_B, HIGH);   // Choix du sens (avant)
  digitalWrite(BRAKE_B, LOW);    // Désactivation du frein
  analogWrite(PWM_B, speed);     // Réglage de la vitesse
}

// Arrête les moteurs en activant le frein
void stopMotors() {
  digitalWrite(BRAKE_A, HIGH);
  analogWrite(PWM_A, 0);
  
  digitalWrite(BRAKE_B, HIGH);
  analogWrite(PWM_B, 0);
}